Add support for Kepler and older generation GPUs #80

Closed
nervanasys opened this Issue Sep 9, 2015 · 10 comments

Comments

Projects
None yet
7 participants
@nervanasys
Contributor

nervanasys commented Sep 9, 2015

No description provided.

@SimoV8

This comment has been minimized.

Show comment
Hide comment
@SimoV8

SimoV8 Sep 22, 2015

Hi, do you approximately know when older GPUs will be supported?

SimoV8 commented Sep 22, 2015

Hi, do you approximately know when older GPUs will be supported?

@nervanasys

This comment has been minimized.

Show comment
Hide comment
@nervanasys

nervanasys Sep 22, 2015

Contributor

We are targeting a 1-2 month time frame.

Contributor

nervanasys commented Sep 22, 2015

We are targeting a 1-2 month time frame.

@SimoV8

This comment has been minimized.

Show comment
Hide comment
@SimoV8

SimoV8 Sep 23, 2015

Ok, thank you :)

SimoV8 commented Sep 23, 2015

Ok, thank you :)

@jjgraham

This comment has been minimized.

Show comment
Hide comment
@jjgraham

jjgraham Dec 4, 2015

@nervanasys has this issue been solved ?
I have a new K80 Kepler and i am having problems

[root@jupyter neon]# python /Public/neon/neon/backends/util/check_gpu.py
Found GPU(s) with compute capability: [3.7, 3.7]
3.7

When i try to run examples i get
RuntimeError: Device 0 does not have CUDA compute capability 5.0 or greater

jjgraham commented Dec 4, 2015

@nervanasys has this issue been solved ?
I have a new K80 Kepler and i am having problems

[root@jupyter neon]# python /Public/neon/neon/backends/util/check_gpu.py
Found GPU(s) with compute capability: [3.7, 3.7]
3.7

When i try to run examples i get
RuntimeError: Device 0 does not have CUDA compute capability 5.0 or greater

@nervanasys

This comment has been minimized.

Show comment
Hide comment
@nervanasys

nervanasys Dec 4, 2015

Contributor

Sorry, it is still pending. this is currently a priority item under active development. We hope to have it in this month.

Contributor

nervanasys commented Dec 4, 2015

Sorry, it is still pending. this is currently a priority item under active development. We hope to have it in this month.

@jjgraham

This comment has been minimized.

Show comment
Hide comment
@jjgraham

jjgraham Dec 4, 2015

@nervanasys Thanks for the quick reply !
We have a lot of K80s at UCSD and want to use neon

jjgraham commented Dec 4, 2015

@nervanasys Thanks for the quick reply !
We have a lot of K80s at UCSD and want to use neon

@nervanasys

This comment has been minimized.

Show comment
Hide comment
@nervanasys

nervanasys Dec 4, 2015

Contributor

We'll be sure to update our progress here. Would love to hear more about your use case. Please email info@nervanasys.com

Contributor

nervanasys commented Dec 4, 2015

We'll be sure to update our progress here. Would love to hear more about your use case. Please email info@nervanasys.com

@great-thoughts

This comment has been minimized.

Show comment
Hide comment
@great-thoughts

great-thoughts Dec 28, 2015

Does neon support older GPU?

Does neon support older GPU?

@scttl scttl added this to the v1.2.0 milestone Jan 8, 2016

@scttl scttl added the enhancement label Jan 8, 2016

@scttl

This comment has been minimized.

Show comment
Hide comment
@scttl

scttl Jan 30, 2016

Contributor

Kepler kernel support is now available publicly in v1.2.0 as of 85fd5c1

Contributor

scttl commented Jan 30, 2016

Kepler kernel support is now available publicly in v1.2.0 as of 85fd5c1

@rene4jazz

This comment has been minimized.

Show comment
Hide comment
@rene4jazz

rene4jazz May 12, 2016

Is there support for Fermi cards?

Is there support for Fermi cards?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment